TwoColumnCssLayout (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp.view, class: TwoColumnCssLayout

Package org.apache.hadoop.yarn.webapp.view

# Class TwoColumnCssLayout

java.lang.Object
org.apache.hadoop.yarn.webapp.View
org.apache.hadoop.yarn.webapp.view.TextView
org.apache.hadoop.yarn.webapp.view.HtmlPage
org.apache.hadoop.yarn.webapp.view.TwoColumnCssLayout

All Implemented Interfaces:
  `Params`

@LimitedPrivate({"YARN","MapReduce"}) public class TwoColumnCssLayout extends HtmlPage
A reusable, pure-css, cross-browser, left nav, 2 column, supposedly liquid layout. Doesn't quite work with resizable themes, kept as an example of the sad state of css (v2/3 anyway) layout.

See Also:
  - `TwoColumnLayout`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.view.HtmlPage

  `HtmlPage.__, HtmlPage.Page`

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.View

  `View.ViewContext`

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.yarn.webapp.view.HtmlPage

  `DOCTYPE`

  ### Fields inherited from class org.apache.hadoop.yarn.webapp.View

  `LOG`

  ### Fields inherited from interface org.apache.hadoop.yarn.webapp.Params

  `ERROR_DETAILS, TITLE, TITLE_LINK, USER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TwoColumnCssLayout()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Class<? extends SubView>`
  `content()`
  `protected Class<? extends SubView>`
  `footer()`
  `protected Class<? extends SubView>`
  `header()`
  `protected Class<? extends SubView>`
  `nav()`
  `protected void`
  `postHead(Hamlet.HTML<HtmlPage.__> html)`
  `protected void`
  `preHead(Hamlet.HTML<HtmlPage.__> html)`
  `protected void`
  `render(Hamlet.HTML<HtmlPage.__> html)`
  Render the HTML page.

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.view.HtmlPage

  `render`

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.view.TextView

  `echo, echoWithoutEscapeHtml, puts, putWithoutEscapeHtml, writer`

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.View

  `$, $, context, cookies, error, getInstance, inDevMode, info, injector, moreParams, outputStream, prefix, render, request, response, root, root_url, set, setTitle, setTitle, status, url`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TwoColumnCssLayout

    public TwoColumnCssLayout()

- ## Method Details

  - ### render

    protected void render(Hamlet.HTML<HtmlPage.__> html)
    Description copied from class: `HtmlPage`
    Render the HTML page.
    Specified by:
      `render` in class `HtmlPage`
    Parameters:
      `html` - the page to render data to.

  - ### preHead

    protected void preHead(Hamlet.HTML<HtmlPage.__> html)

  - ### postHead

    protected void postHead(Hamlet.HTML<HtmlPage.__> html)

  - ### header

    protected Class<? extends SubView> header()

  - ### content

    protected Class<? extends SubView> content()

  - ### nav

    protected Class<? extends SubView> nav()

  - ### footer

    protected Class<? extends SubView> footer()